org.jbpm.compiler.xml.processes

## Class EventNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler
    - - org.jbpm.compiler.xml.processes.EventNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class EventNodeHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `EOL`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventNodeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `Class` | `generateNodeFor()`
    `void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, boolean includeMeta)`

    - ### Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler

      `containsMetaData, end, endNode, endNode, extractAction, handleAction, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### EventNodeHandler

          public EventNodeHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### handleNode

          public void handleNode(Node node,
                        Element element,
                        String uri,
                        String localName,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                          throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### writeNode

          public void writeNode(Node node,
                       StringBuilder xmlDump,
                       boolean includeMeta)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.